SelectTag (Apache Struts API Documentation)
Keywords: org.apache.struts.taglib.html.SelectTag,SelectTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.html
Class SelectTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--javax.servlet.jsp.tagext.BodyTagSupport
                  |
                  +--org.apache.struts.taglib.html.BaseHandlerTag
                        |
                        +--org.apache.struts.taglib.html.SelectTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  NestedSelectTag

public class SelectTag
extends BaseHandlerTag

Custom tag that represents an HTML select element, associated with a bean property specified by our attributes. This tag must be nested inside a form tag.

Version:
  $Revision: 1.1 $ $Date: 2003-08-26 13:57:44 +0100 (Tue, 26 Aug 2003) $
Author:
  Craig R. McClanahan, David Graham
See Also:
  Serialized Form

Field Summary
`protected java.lang.String[]` | `match` The actual values we will match against, calculated in doStartTag().
`protected static MessageResources` | `messages` The message resources for this package.
`protected java.lang.String` | `multiple` Should multiple selections be allowed.
`protected java.lang.String` | `name` The name of the bean containing our underlying property.
`protected java.lang.String` | `property` The property name we are associated with.
`protected java.lang.String` | `saveBody` The saved body content of this tag.
`protected java.lang.String` | `size` How many available options should be displayed when this element is rendered?
`protected java.lang.String` | `value` The value to compare with for marking an option selected.

Fields inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`accesskey, defaultLocale, indexed, tabindex`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SelectTag()`

Method Summary
`private void` | `calculateMatchValues()` Calculate the match values we will actually be using.
`int` | `doAfterBody()` Save any body content of this tag, which will generally be the option(s) representing the values displayed to the user.
`int` | `doEndTag()` Render the end of this form.
`int` | `doStartTag()` Render the beginning of this select tag.
`java.lang.String` | `getMultiple()`
`java.lang.String` | `getName()`
`java.lang.String` | `getProperty()` Return the property name.
`java.lang.String` | `getSize()`
`java.lang.String` | `getValue()` Return the comparison value.
`boolean` | `isMatched(java.lang.String value)` Does the specified value match one of those we are looking for?
`void` | `release()` Release any acquired resources.
`protected java.lang.String` | `renderSelectStartElement()` Create an appropriate select start element based on our parameters.
`void` | `setMultiple(java.lang.String multiple)`
`void` | `setName(java.lang.String name)`
`void` | `setProperty(java.lang.String property)` Set the property name.
`void` | `setSize(java.lang.String size)`
`void` | `setValue(java.lang.String value)` Set the comparison value.

Methods inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`getAccesskey, getAlt, getAltKey, getBundle, getDisabled, getElementClose, getIndexed, getLocale, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getReadonly, getStyle, getStyleClass, getStyleId, getTabindex, getTitle, getTitleKey, isXhtml, lookupProperty, message, prepareEventHandlers, prepareFocusEvents, prepareIndex, prepareKeyEvents, prepareMouseEvents, prepareStyles, prepareTextEvents, setAccesskey, setAlt, setAltKey, setBundle, setDisabled, setIndexed, setLocale, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setStyle, setStyleClass, setStyleId, setTabindex, setTitle, setTitleKey`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### match

    protected java.lang.String[] match

  The actual values we will match against, calculated in doStartTag().

### messages

    protected static MessageResources messages

  The message resources for this package.

### multiple

    protected java.lang.String multiple

  Should multiple selections be allowed. Any non-null value will trigger rendering this.

### name

    protected java.lang.String name

  The name of the bean containing our underlying property.

### property

    protected java.lang.String property

  The property name we are associated with.

### saveBody

    protected java.lang.String saveBody

  The saved body content of this tag.

### size

    protected java.lang.String size

  How many available options should be displayed when this element is rendered?

### value

    protected java.lang.String value

  The value to compare with for marking an option selected.

Constructor Detail

### SelectTag

    public SelectTag()

Method Detail

### getMultiple

    public java.lang.String getMultiple()

### setMultiple

    public void setMultiple(java.lang.String multiple)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getSize

    public java.lang.String getSize()

### setSize

    public void setSize(java.lang.String size)

### isMatched

    public boolean isMatched(java.lang.String value)

  Does the specified value match one of those we are looking for?

  Parameters:
    `value` - Value to be compared.

### getProperty

    public java.lang.String getProperty()

  Return the property name.

### setProperty

    public void setProperty(java.lang.String property)

  Set the property name.

  Parameters:
    `property` - The new property name

### getValue

    public java.lang.String getValue()

  Return the comparison value.

### setValue

    public void setValue(java.lang.String value)

  Set the comparison value.

  Parameters:
    `value` - The new comparison value

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Render the beginning of this select tag.

  Support for indexed property since Struts 1.1

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### renderSelectStartElement

    protected java.lang.String renderSelectStartElement()
                                                 throws javax.servlet.jsp.JspException

  Create an appropriate select start element based on our parameters.

  Throws:
    `javax.servlet.jsp.JspException`
  Since:
    Struts 1.1

### calculateMatchValues

    private void calculateMatchValues()
                               throws javax.servlet.jsp.JspException

  Calculate the match values we will actually be using.

  Throws:
    `javax.servlet.jsp.JspException`

### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspException

  Save any body content of this tag, which will generally be the option(s) representing the values displayed to the user.

  Specified by:
    `doAfterBody` in interface `javax.servlet.jsp.tagext.BodyTag`
  Overrides:
    `doAfterBody` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Render the end of this form.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### release

    public void release()

  Release any acquired resources.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `BaseHandlerTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation